<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
$fadm = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."' AND `adm`=1;"), 0);
	if($game==0 OR $level==0 OR $f['id']=='' OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
echo "<title>Дипломатия</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="" /><b>Альянс <font color="#4EEE94">['.$f['name'].']</font> | <font color="#FF0000">Дипломатия</b></font></div>';
echo '<div class="razd"></div>';
	 		switch ($act) {
	default:
	echo '<center><div class="blok1"><span class="green">Союзные Альянсы</span></div></center>';
	echo '<div class="razd"></div>';
	$PAGINGS = new PAGINGS(100, "SELECT * FROM `fractions_dipl` WHERE `type`=1 AND `ok`=1 AND `fr_id2` = '".$f['id']."' ORDER BY `id` DESC");
	if($PAGINGS->count_get > 0)
	{
		while($row = mysql_fetch_array($PAGINGS->get))
		{
		echo '<div class="window1"><div class="dashed"></div><a href="fraction.php?f='.$row['fr_id1'].'">'.$row['name'].'</a><div class="dashed"></div></div>';
		
		
	}
	}else{
	echo '<center><div class="window"><b>Нет союзников...</b></div></center>';
	echo '<div class="razd"></div>';
	}
	
	echo '<center><div class="blok1"><span class="red">Вражеские Альянсы</span></div></center>';
	echo '<div class="razd"></div>';
		$PAGINGS = new PAGINGS(100, "SELECT * FROM `fractions_dipl` WHERE `type`=2 AND `ok`=1 AND `fr_id2` = '".$f['id']."' ORDER BY `id` DESC");
	if($PAGINGS->count_get > 0)
	{
		while($row = mysql_fetch_array($PAGINGS->get))
		{

		echo '<a href="fraction.php?f='.$row['fr_id1'].'">'.$row['name'].'</a>, ';
		
	}
	}else{
	echo '<center><div class="window">Нет врагов...</div></center>';
	}
	
	
	
	echo '</div>';
	$new_dipl = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_dipl` WHERE `ok`=0 AND `fr_id2`='".$f['id']."';"), 0);
	if($fadm==1)echo '<div class="razd"></div><center><div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=new&amp;f='.$f['id'].'"><b>Добавить Альянс</b></a></div><div class="razd"></div><div class="razd"></div><div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=input&amp;f='.$f['id'].'"><b>Предложения</b></a> <font color="#4EEE94">['.$new_dipl.']</font></div></center>';
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="fraction.php?f='.$f['id'].'"><b>Назад</b></a></div>';
	break;
	
	case 'new':
	if($fadm==1){
	echo '<div class="blok">Новое дип. отношение</div>';
		if(!$_POST)
	{
	echo '<div class="razd"></div><center><div class="window">';
	echo '<form action="" method="POST">Название фракции:<br /><input type="text" value="" name="text" /><br/>Тип отношения:<br /><select name="type"><option value="1">Союзник</option><option value="2">Враг</option></select><br/><input type="submit" name="submit" value="Отправить предложение"/></form></div><div class="razd"></div><div class="blok"><a href="dipl.php?f='.$f['id'].'"><b>Назад</b></a></div>';}	
	else
	{
	$text = check(trim($_POST['text']));
	$type = check(trim($_POST['type']));
	$q1 = mysql_query("SELECT * FROM `fractions` WHERE `name`='".$text."'");
	$f1 = mysql_fetch_array($q1);
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_dipl` WHERE (`fr_id1`='".$f['id']."' AND `fr_id2`='".$f1['id']."') OR (`fr_id2`='".$f['id']."' AND `fr_id1`='".$f1['id']."');"), 0);
	
	
		if (empty($text))
			$error = $error . 'Не введено название<br/>';
		elseif (strlen($text) > 100)
			$error = $error . 'Слишком длинное название!<br />';
		elseif (strlen($text) < 2)
			$error = $error . 'Слишком короткое название!<br />';
		elseif (preg_match('/[^\\w\\x7F-\\xFF\\s]+/s',$text))
			$error = $error . 'Недопустимые символы в названии<br />';
		
		elseif ($f1['name']=='')
			$error = $error . 'Такой фракции не существует<br />';
		
		elseif ($type < 1 OR $type > 2)
			$error = $error . 'Неверный тип дип.отношений<br />';	
		
		elseif ($f1['id']==$f['id'])
			$error = $error . 'Вы не можете заключить дипломатические отношения со своей же фракцией<br />';
		
		elseif ($count!=0)
			$error = $error . 'У вас уже существуют дипломатические отношения с этой фракцией или она еще обрабатывает ваше предложение<br />';

		
		if (empty($error))
		{
		
		if($type==1){
		echo 'Вы отправили предложение о союзничестве фракции <a href="fraction.php?f='.$f1['id'].'">'.$f1['name'].'</a>!';
		mysql_query("INSERT INTO `fractions_dipl` SET `fr_id1`='".$f['id']."', `fr_id2`='".$f1['id']."', `name`='".$f['name']."', `type`=1;");
		}
		if($type==2){
		echo 'Вы отправили предложение о вражде фракции <a href="fraction.php?f='.$f1['id'].'">'.$f1['name'].'</a>!';
		mysql_query("INSERT INTO `fractions_dipl` SET `fr_id1`='".$f['id']."', `fr_id2`='".$f1['id']."', `name`='".$f['name']."', `type`=2;");
		}
		
		$PAGINGS = mysql_query("SELECT * FROM `fractions_users` WHERE `fid`='".$f1['id']."' AND `adm`=1 ORDER BY `adm` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
		$dialog=mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1` = '".$row['uid']."' AND `uid2`='".$use_id."';"), 0);
		
		if($type==1)mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='" . time() . "',
			            `text`='Дипломатические отношения: Поступило новое предложение о союзничестве от фракции ".$f1['name']."';");
		if($type==2)mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='" . time() . "',
			            `text`='Дипломатические отношения: Поступило новое предложение о вражде от фракции ".$f1['name']."';");						
		if($dialog!=0)mysql_query("UPDATE `dialog` SET `time`='" . time() . "' WHERE `uid1`='".$use_id."' AND `uid2`='".$row['uid']."' OR `uid2`='".$use_id."' AND `uid1`='".$row['uid']."';");						
		if($dialog==0){
				mysql_query("INSERT INTO `dialog` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='".time()."';");	
				
				mysql_query("INSERT INTO `dialog` SET
			            `uid2`='" . mysql_real_escape_string($use_id) . "',
			            `uid1`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='".time()."';");	
			}	
	}

	}
		
		
		
		
		echo '<div class="blok"><a href="dipl.php?f='.$f['id'].'"><b>Назад</b></a></div>';
}
		else
		{
			echo '<div class="razd"></div><div class="blok"><b>' . $error. '</b></div><div class="razd"></div><div class="blok"><a href="?act=new&amp;f='.$f['id'].'&amp;r='.rand(1,99).'"><b>Назад</b></a></div>';
		}		
			
			}
	echo '</div>';}
	break;
	case 'input':
	if($fadm==1){
	echo '<div class="blok">Предложения о дипломатических отношениях</div><div class="razd"></div>';
	$PAGINGS = new PAGINGS(100, "SELECT * FROM `fractions_dipl` WHERE `ok`=0 AND `fr_id2`='".$f['id']."'");
	if($PAGINGS->count_get > 0)
	{
		while($row = mysql_fetch_array($PAGINGS->get))
		{
	echo '<div class="conts">';
	echo 'Фракция: <a href="fraction.php?f='.$row['fr_id1'].'">'.$row['name'].'</a><br/>';
	if($row['type']==1)echo 'Тип: <span class="green">Союзник</span>';
	if($row['type']==2)echo 'Тип: <span class="red">Враг</span>';
	echo ' - <a href="?act=dipl&amp;f='.$f['id'].'&amp;d='.$row['id'].'&amp;ok=1">принять</a> | <a href="?act=dipl&amp;f='.$f['id'].'&amp;d='.$row['id'].'&amp;ok=2">отклонить</a>';
	echo '</div>';
		
		
	}
	}else{
	echo '<center><div class="window">Нет новых предложений...</div></center>';
	}
	echo '<div class="razd"></div><div class="blok"><a href="dipl.php?f='.$f['id'].'"><b>Назад</b></a></div>';}
	break;
	
	case 'dipl':
	echo '<div class="cont">Дипломатическое предложение</div>';
	$ok=$_GET['ok'];
	$d=$_GET['d'];
	$q1 = mysql_query("SELECT * FROM `fractions_dipl` WHERE `id`='".check($d)."'");
	$f1 = mysql_fetch_array($q1);
	if($fadm==1 AND $f1['fr_id2']==$f['id'] AND $f1['ok']==0){
	if($ok==1){
	if($f1['type']==1)echo '<div class="conts">Вы приняли предложение о союзничестве с фракцией <a href="fraction.php?f='.$f1['fr_id1'].'">'.$f1['name'].'</a>!</div>';
	if($f1['type']==2)echo '<div class="conts">Вы приняли предложение о вражде с фракцией <a href="fraction.php?f='.$f1['fr_id1'].'">'.$f1['name'].'</a>!</div>';
	
	mysql_query("INSERT INTO `fractions_dipl` SET `fr_id2`='".$f1['fr_id1']."', `fr_id1`='".$f1['fr_id2']."', `name`='".$f['name']."', `type`='".$f1['type']."', `ok`=1;");
	mysql_query("UPDATE `fractions_dipl` SET `ok`=1 WHERE `id`='".$f1['id']."';");
	}else{
	if($f1['type']==1)echo '<div class="conts">Вы не приняли предложение о союзничестве с фракцией <a href="fraction.php?f='.$f1['fr_id1'].'">'.$f1['name'].'</a>!</div>';
	if($f1['type']==2)echo '<div class="conts">Вы не приняли предложение о вражде с фракцией <a href="fraction.php?f='.$f1['fr_id1'].'">'.$f1['name'].'</a>!</div>';
	mysql_query("DELETE FROM `fractions_dipl` WHERE `id`='".$f1['id']."';");
	}
	
			$PAGINGS = mysql_query("SELECT * FROM `fractions_users` WHERE `fid`='".$f1['fr_id1']."' AND `adm`=1 ORDER BY `adm` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
		$dialog=mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1` = '".$row['uid']."' AND `uid2`='".$use_id."';"), 0);
		
		if($f1['type']==1 AND $ok==1)mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='" . time() . "',
						`text`='Дипломатические отношения: Фракция ".$f['name']." приняла предложение о союзничестве с вашей фракцией';");	
		if($f1['type']==2 AND $ok==1)mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='" . time() . "',
						`text`='Дипломатические отношения: Фракция ".$f['name']." приняла предложение о вражде с вашей фракцией';");	
		if($f1['type']==1 AND $ok!=1)mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='" . time() . "',
			        	`text`='Дипломатические отношения: Фракция ".$f['name']." не приняла предложение о союзничестве с вашей фракцией';");
		if($f1['type']==2 AND $ok!=1)mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='" . time() . "',
			            `text`='Дипломатические отношения: Фракция ".$f['name']." не приняла предложение о вражде с вашей фракцией';");						
		if($dialog!=0)mysql_query("UPDATE `dialog` SET `time`='" . time() . "' WHERE `uid1`='".$use_id."' AND `uid2`='".$row['uid']."' OR `uid2`='".$use_id."' AND `uid1`='".$row['uid']."';");						
		if($dialog==0){
				mysql_query("INSERT INTO `dialog` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='".time()."';");	
				
				mysql_query("INSERT INTO `dialog` SET
			            `uid2`='" . mysql_real_escape_string($use_id) . "',
			            `uid1`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='".time()."';");	
			}	
	}

	}
	echo '<div class="conts"><a href="dipl.php?f='.$f['id'].'"><<Назад</a></div>';
	}
}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>